/*
 * main.c
 *
 *  Created on: 12-04-2015
 *      Author: Marek
 */


#include <avr/io.h>
#include <util/delay.h>
#include <avr/interrupt.h>
#include <stdlib.h>
#include <avr/pgmspace.h>
#include "MATRYCA_1.h"
#include "fonty.h"

const char PROGMEM Napis1[]={"ELEKTRONIKA PRAKTYCZNA  25 LAT"};
const char PROGMEM Napis2[]={"PRZERWA SERWISOWA - BREAK SERVICE   "};


uint8_t textBufor[64*6];


int main (void)
{



   Port_Init();
   Timer0_Init();
   SPI_Init();



	putStringP(0, Napis1, textBufor);

 sei();

while(1)

{

for (int16_t i=-96; i<240; ++i)       // tekst wsuwamy z prawej strony i wysuwamy poza wywietlacz
{
	_delay_ms(40);                    //prdkos przewijania

	for (int8_t k=0; k<96; ++k)
		display[k] = textBufor[k+i];
}

}
}


ISR(TIMER0_COMP_vect)

{

		const static uint8_t multiplex_tablica1234[] PROGMEM = {~ROW1,~ROW2,~ROW3,~ROW4,255,255,255,255 };
	    const static uint8_t multiplex_tablica5678[] PROGMEM = {255,255,255,255,~ROW5,~ROW6,~ROW7,~ROW8 };

		static uint8_t licznik ;

		      Row_Off();

	                 Send_Row(licznik);

	ROWPORT1234 = (ROWPORT1234 & ~ROW1234_MASK) | (pgm_read_byte(&multiplex_tablica1234[licznik]) & ROW1234_MASK);
	ROWPORT5678 = (ROWPORT5678 & ~ROW5678_MASK) | (pgm_read_byte(&multiplex_tablica5678[licznik]) & ROW5678_MASK);

		       licznik++;
		       licznik &= 0x07;
}




