/*
 * MATRYCA_1.h
 *
 *  Created on: 12-04-2015
 *      Author: Marek
 */

#ifndef MATRYCA_1_H_
#define MATRYCA_1_H_

#define ROWPORT1234 PORTC
#define ROWPORT5678 PORTD
#define ROW1234 DDRC
#define ROW5678 DDRD
#define ROW1234_MASK (ROW1|ROW2|ROW3|ROW4)
#define ROW5678_MASK (ROW5|ROW6|ROW7|ROW8)


#define ROW1 (1<<PC1)
#define ROW2 (1<<PC3)
#define ROW3 (1<<PC0)
#define ROW4 (1<<PC2)
#define ROW5 (1<<PD3)
#define ROW6 (1<<PD6)
#define ROW7 (1<<PD4)
#define ROW8 (1<<PD5)


#define DATAPORT PORTB
#define DATA  DDRB
#define DANE  (1<<PB5)
#define CLK   (1<<PB7)
#define LATCH (1<<PB4)
#define LATCH_ON PORTB |=LATCH
#define LATCH_OFF PORTB &=~LATCH



void Port_Init(void);
void Timer0_Init(void);
void SPI_Init(void);
void Row_Off(void);
void Send_Row(uint8_t RowNumber);
void putChar(uint8_t x, char c, uint8_t  *buf);
void putStringP(uint8_t x, const char * s, uint8_t * buf);
void Timer0_Off(void);

uint8_t display[255];

#endif /* MATRYCA_1_H_ */
